### Index

- advRequired (packages/.../ux-dyn-validations.model.ts)
- childProvidersModule (packages/.../dynamic-forms.module.ts)
- createEuiDynFormsRootGuard (packages/.../dynamic-forms.module.ts)
- dynClientValidationGenerator (packages/.../ux-dyn-generators.model.ts)
- dynRuleRunner (packages/.../ux-dyn-rules.model.ts)
- dynValidationErrorGenerator (packages/.../ux-dyn-generators.model.ts)
- euiDynFormsRootGuardClass (packages/.../dynamic-forms.module.ts)
- getActions (packages/.../effects.suite.ts)
- getDynConfigService (packages/.../factories.ts)
- getDynFormApiService (packages/.../factories.ts)
- getDynMapFinal (packages/.../factories.ts)
- getFormService (packages/.../factories.ts)
- getTypeInstance (packages/.../ux-dyn-core.model.ts)
- getValidationsService (packages/.../factories.ts)
- getValue (packages/.../ux-dyn-data.model.ts)
- groupLevelRequired (packages/.../ux-dyn-validations.model.ts)
- groupRequired (packages/.../ux-dyn-validations.model.ts)
- isArray (packages/.../dyn-utils.ts)
- isDefined (packages/.../dyn-utils.ts)
- isNull (packages/.../ux-dyn-validations.model.ts)
- isObject (packages/.../dyn-utils.ts)
- isObjectEmpty (packages/.../dyn-utils.ts)
- isUndefinedOrNull (packages/.../dyn-utils.ts)
- oneOfRequired (packages/.../ux-dyn-validations.model.ts)
- providersModule (packages/.../dynamic-forms.module.ts)
- translateStaticLoader (packages/.../translate.suite.ts)
- uxDynAsyncValidator (packages/.../ux-dyn-validations.model.ts)
- uxDynContainerGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynDataMapResolver (packages/.../ux-dyn-data.model.ts)
- uxDynFormArrayGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynFormControlGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynFormGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynFormGroupGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynFormTupleGenerator (packages/.../ux-dyn-generators.model.ts)
- uxDynValidator (packages/.../ux-dyn-validations.model.ts)

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-validations.model.ts

###

advRequired
`advRequired(control: AbstractControl)`

It is advanced version of the default required validation. It will check If object&array is not empty(or null/undefined for simple types).

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `ValidationErrors`

groupLevelRequired
`groupLevelRequired(control: FormGroup)`

It is a validation helper which should be defined on the parent control of the controls have groupRequired meta-data. It runs validations for all the controls when parent control’s value is changed.

Parameters :

Name | Type | Optional
control | `FormGroup` | No

Returns : `literal type | null`

groupRequired
`groupRequired(control: AbstractControl)`

It runs If only If (its parent control is not empty object OR its parent has groupRequired/advRequired error) It will check If object&array is not empty(or null/undefined for simple types).

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `ValidationErrors`

isNull
`isNull(val)`

Parameters :

Name | Optional
val | No

oneOfRequired
`oneOfRequired(...params: any[])`

It will check that at least one of value is not empty(or null/undefined) at specified keys for target object.

Parameters :

Name | Type | Optional
params | `any[]` | No

Returns : `ValidationErrors`

uxDynAsyncValidator
`uxDynAsyncValidator(fn: AsyncValidatorFn, message, severity: string, fieldInfo?: UxDynValidationFieldInfo)`

Parameters :

Name | Type | Optional
fn | `AsyncValidatorFn` | No
message |  | No
severity | `string` | No
fieldInfo | `UxDynValidationFieldInfo` | Yes

Returns : `null | Observable<ValidationErrors>`

uxDynValidator
`uxDynValidator(fn, message, severity: string, fieldInfo?: UxDynValidationFieldInfo)`

Parameters :

Name | Type | Optional
fn |  | No
message |  | No
severity | `string` | No
fieldInfo | `UxDynValidationFieldInfo` | Yes

Returns : `null | ValidationErrors`

### packages/eui-dynamic-forms-ui/src/lib/dynamic-forms.module.ts

###

childProvidersModule
`childProvidersModule(dynMap: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
dynMap | `UxDynMappingConfig` | No

Returns : `any`

createEuiDynFormsRootGuard
`createEuiDynFormsRootGuard(core)`

Parameters :

Name | Optional
core | No

euiDynFormsRootGuardClass
`euiDynFormsRootGuardClass()`

providersModule
`providersModule(dynMap: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
dynMap | `UxDynMappingConfig` | No

Returns : `any`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-generators.model.ts

###

dynClientValidationGenerator
`dynClientValidationGenerator(fn, message: string, severity: string)`

Parameters :

Name | Type | Optional
fn |  | No
message | `string` | No
severity | `string` | No

Returns : `null | ValidationErrors`

dynValidationErrorGenerator
`dynValidationErrorGenerator(message: string, severity: string)`

Parameters :

Name | Type | Optional
message | `string` | No
severity | `string` | No

uxDynContainerGenerator
`uxDynContainerGenerator(layout: Layout, context: ContainerContext, children: UxDynFormModelArray, fieldId?: UxFieldId)`

Parameters :

Name | Type | Optional
layout | `Layout` | No
context | `ContainerContext` | No
children | `UxDynFormModelArray` | No
fieldId | `UxFieldId` | Yes

Returns : `UxDynFormModel`

uxDynFormArrayGenerator
`uxDynFormArrayGenerator(layout: Layout, context: FieldContext, child: UxDynFormModel, fieldId?: UxFieldId)`

Parameters :

Name | Type | Optional
layout | `Layout` | No
context | `FieldContext` | No
child | `UxDynFormModel` | No
fieldId | `UxFieldId` | Yes

Returns : `UxDynFormModel`

uxDynFormControlGenerator
`uxDynFormControlGenerator(layout: Layout, context: FieldContext, fieldId?: UxFieldId)`

Parameters :

Name | Type | Optional
layout | `Layout` | No
context | `FieldContext` | No
fieldId | `UxFieldId` | Yes

Returns : `UxDynFormModel`

uxDynFormGenerator
`uxDynFormGenerator(formFields: UxDynFormModelArray)`

Parameters :

Name | Type | Optional
formFields | `UxDynFormModelArray` | No

Returns : `UxDynFormModelArray`

uxDynFormGroupGenerator
`uxDynFormGroupGenerator(layout: Layout, context: FieldContext, children: UxDynFormModelArray, fieldId?: UxFieldId)`

Parameters :

Name | Type | Optional
layout | `Layout` | No
context | `FieldContext` | No
children | `UxDynFormModelArray` | No
fieldId | `UxFieldId` | Yes

Returns : `UxDynFormModel`

uxDynFormTupleGenerator
`uxDynFormTupleGenerator(layout: Layout, context: FieldContext, children: UxDynFormModelArray, fieldId?: UxFieldId)`

Parameters :

Name | Type | Optional
layout | `Layout` | No
context | `FieldContext` | No
children | `UxDynFormModelArray` | No
fieldId | `UxFieldId` | Yes

Returns : `UxDynFormModel`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-rules.model.ts

###

dynRuleRunner
`dynRuleRunner(metaData: UxDynRuleMetaData, config: UxDynMappingConfig, formApi: DynFormApi)`

Parameters :

Name | Type | Optional
metaData | `UxDynRuleMetaData` | No
config | `UxDynMappingConfig` | No
formApi | `DynFormApi` | No

Returns : `void`

### packages/eui-dynamic-forms-ui/src/lib/tests/effects.suite.ts

###

getActions
`getActions()`

### packages/eui-dynamic-forms-ui/src/lib/factories.ts

###

getDynConfigService
`getDynConfigService(mapping: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
mapping | `UxDynMappingConfig` | No

Returns : `DynConfigService`

getDynFormApiService
`getDynFormApiService(multipleStore: MultiStoreService, formService: FormService)`

Parameters :

Name | Type | Optional
multipleStore | `MultiStoreService` | No
formService | `FormService` | No

Returns : `DynFormApiService`

getDynMapFinal
`getDynMapFinal(dynMapDefault: UxDynMappingConfig, dynMapCustom: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
dynMapDefault | `UxDynMappingConfig` | No
dynMapCustom | `UxDynMappingConfig` | No

Returns : `UxDynMappingConfig`

getFormService
`getFormService(dynConfigService: DynConfigService, dynDataService: DynDataService, multipleStore: MultiStoreService, logService: LogService, validationsService: DynValidationsService)`

Parameters :

Name | Type | Optional
dynConfigService | `DynConfigService` | No
dynDataService | `DynDataService` | No
multipleStore | `MultiStoreService` | No
logService | `LogService` | No
validationsService | `DynValidationsService` | No

Returns : `FormService`

getValidationsService
`getValidationsService(dynConfigService: DynConfigService)`

Parameters :

Name | Type | Optional
dynConfigService | `DynConfigService` | No

Returns : `DynValidationsService`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-core.model.ts

###

getTypeInstance
`getTypeInstance(instanceType)`

Parameters :

Name | Optional
instanceType | No

Returns : `T`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-data.model.ts

###

getValue
`getValue(obj, valuePath: UxDynDataPath)`

Parameters :

Name | Type | Optional
obj |  | No
valuePath | `UxDynDataPath` | No

uxDynDataMapResolver
`uxDynDataMapResolver(obj, uxDynDataMap: UxDynDataMap)`

Parameters :

Name | Type | Optional
obj |  | No
uxDynDataMap | `UxDynDataMap` | No

### packages/eui-dynamic-forms-ui/src/lib/shared/utils/dyn-utils.ts

###

isArray
`isArray(arr: any)`

Parameters :

Name | Type | Optional
arr | `any` | No

isDefined
`isDefined(data: any)`

Parameters :

Name | Type | Optional
data | `any` | No

isObject
`isObject(obj: any)`

Parameters :

Name | Type | Optional
obj | `any` | No

isObjectEmpty
`isObjectEmpty(obj)`

Parameters :

Name | Optional
obj | No

isUndefinedOrNull
`isUndefinedOrNull(data: any)`

Parameters :

Name | Type | Optional
data | `any` | No

### packages/eui-dynamic-forms-ui/src/lib/tests/translate.suite.ts

###

translateStaticLoader
`translateStaticLoader()`

# results matching ""

# No results matching ""